import { Component, Input } from '@angular/core';
import { trigger, state, style, transition, animate } from '@angular/animations';
var AccordionPanelComponent = (function () {
    function AccordionPanelComponent() {
        this.title = "";
        this._active = false;
        this.panelState = 'inactive';
    }
    Object.defineProperty(AccordionPanelComponent.prototype, "active", {
        get: function () {
            return this._active;
        },
        set: function (v) {
            this._active = !!v;
            if (this._active) {
                this.panelState = 'active';
            }
            else {
                this.panelState = 'inactive';
            }
        },
        enumerable: true,
        configurable: true
    });
    AccordionPanelComponent.prototype.onChange = function (parent) {
        this.parent = parent;
    };
    AccordionPanelComponent.prototype.setAccordion = function () {
        this.parent.setAccordion(this);
    };
    AccordionPanelComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lsu-accordionPanel',
                    template: "\n    <div class=\"title\" [ngClass]=\"{'active': active}\" (click)=\"setAccordion()\">\n      <i class=\"dropdown icon\"></i>\n      {{ title }}\n    </div>\n    <div class=\"content active\" [@accordionPanelState]=\"panelState\">\n      <ng-content></ng-content>\n    </div>\n  ",
                    animations: [
                        trigger('accordionPanelState', [
                            state('inactive', style({
                                padding: '0 1em',
                                overflow: 'hidden',
                                height: 0
                            })),
                            state('active', style({
                                padding: '.5em 1em 1.5em',
                                overflow: 'initial',
                                height: '*'
                            })),
                            transition('inactive => active', animate('150ms ease-in')),
                            transition('active => inactive', animate('150ms ease-out'))
                        ])
                    ]
                },] },
    ];
    /** @nocollapse */
    AccordionPanelComponent.ctorParameters = function () { return []; };
    AccordionPanelComponent.propDecorators = {
        "title": [{ type: Input },],
        "active": [{ type: Input },],
    };
    return AccordionPanelComponent;
}());
export { AccordionPanelComponent };
//# sourceMappingURL=accordion-panel.component.js.map