import { Component, Input, ContentChildren, QueryList } from '@angular/core';
import { AccordionPanelComponent } from './accordion-panel.component';
var AccordionComponent = (function () {
    function AccordionComponent() {
        this.option = {};
        this._accordions = [];
    }
    AccordionComponent.prototype.getCls = function () {
        var cls = {
            "styled": this.option.styled == undefined ? true : this.option.styled,
            "fluid": this.option.fluid == undefined ? true : this.option.fluid,
            "inverted": this.option.inverted == undefined ? false : this.option.inverted
        };
        return cls;
    };
    AccordionComponent.prototype.setAccordion = function (accordion) {
        var isActive = accordion.active;
        if (!this.option.allowMultiple) {
            this._accordions.forEach(function (a) { return a.active = false; });
        }
        accordion.active = !isActive;
    };
    AccordionComponent.prototype.ngAfterContentInit = function () {
        var _this = this;
        this._accordions = this.accordions.toArray();
        this._accordions.forEach(function (a) {
            a.onChange(_this);
        });
        if (!this.option.allowMultiple) {
            var finded_1 = {};
            (this._accordions || []).forEach(function (item) {
                if (item.active) {
                    item.active = false;
                    finded_1 = item;
                }
            });
            if (finded_1.active !== undefined) {
                finded_1.active = true;
            }
        }
    };
    AccordionComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lsu-accordion',
                    template: "\n    <div class=\"ui styled accordion\" [ngClass]=\"getCls()\">\n      <ng-content select=\"lsu-accordionPanel\"></ng-content>\n    </div>\n  "
                },] },
    ];
    /** @nocollapse */
    AccordionComponent.ctorParameters = function () { return []; };
    AccordionComponent.propDecorators = {
        "accordions": [{ type: ContentChildren, args: [AccordionPanelComponent,] },],
        "option": [{ type: Input },],
    };
    return AccordionComponent;
}());
export { AccordionComponent };
//# sourceMappingURL=accordion.component.js.map