import { Component, Input, Output, EventEmitter, forwardRef } from '@angular/core';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
var CheckBoxComponent = (function () {
    function CheckBoxComponent() {
        this.disabled = false;
        this.onChange = new EventEmitter();
        this.checked = false;
        this._onChange = function (_) { };
        this._onTouched = function () { };
    }
    CheckBoxComponent.prototype.ngOnInit = function () {
        this._id = "lsu_checkbox_" + new Date().valueOf() + "_" + Math.random() * 10000;
    };
    CheckBoxComponent.prototype.writeValue = function (value) {
        this.checked = value;
    };
    CheckBoxComponent.prototype.registerOnChange = function (fn) {
        this._onChange = fn;
    };
    CheckBoxComponent.prototype.registerOnTouched = function (fn) {
        this._onTouched = fn;
    };
    CheckBoxComponent.prototype.valueChanged = function (value) {
        this._onChange(value);
        this.onChange.emit(value);
    };
    CheckBoxComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lsu-checkbox',
                    template: "\n    <div class=\"ui {{type}} checkbox\" [ngClass]=\"{'checked': checked}\">\n      <input type=\"checkbox\" id=\"{{_id}}\" [ngModel]=\"checked\" (ngModelChange)=\"valueChanged($event)\" [disabled]=\"disabled\">\n      <label for=\"{{_id}}\" style=\"cursor: pointer\">{{ label }}</label>\n    </div>\n  ",
                    providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(function () { return CheckBoxComponent; }),
                            multi: true
                        }]
                },] },
    ];
    /** @nocollapse */
    CheckBoxComponent.ctorParameters = function () { return []; };
    CheckBoxComponent.propDecorators = {
        "disabled": [{ type: Input },],
        "type": [{ type: Input },],
        "label": [{ type: Input },],
        "onChange": [{ type: Output },],
    };
    return CheckBoxComponent;
}());
export { CheckBoxComponent };
//# sourceMappingURL=checkbox.component.js.map