import { Component, Input, ElementRef, ViewChild, Renderer } from '@angular/core';
var LoaderComponent = (function () {
    function LoaderComponent(_renderer) {
        this._renderer = _renderer;
    }
    Object.defineProperty(LoaderComponent.prototype, "active", {
        get: function () {
            return this._active;
        },
        set: function (val) {
            this._active = val;
            this.toggleLoader();
        },
        enumerable: true,
        configurable: true
    });
    LoaderComponent.prototype.ngAfterViewInit = function () {
        if (!this.parentEle) {
            this.parentEle = this.loaderDiv.nativeElement.parentElement.parentElement;
        }
    };
    LoaderComponent.prototype.show = function () {
        this.active = true;
    };
    LoaderComponent.prototype.hide = function () {
        this.active = false;
    };
    LoaderComponent.prototype.toggleLoader = function () {
        if (!this.parentEle)
            return;
        this._renderer.setElementClass(this.parentEle, 'ui', this.active);
        this._renderer.setElementClass(this.parentEle, 'segment', this.active);
    };
    LoaderComponent.decorators = [
        { type: Component, args: [{
                    selector: "lsu-loader",
                    template: "\n    <div #loaderDiv class=\"ui dimmer\" [ngClass]=\"{'active': active}\">\n      <div class=\"ui {{loaderSize}} text loader\">{{ loaderText }}</div>\n    </div>\n  "
                },] },
    ];
    /** @nocollapse */
    LoaderComponent.ctorParameters = function () { return [
        { type: Renderer, },
    ]; };
    LoaderComponent.propDecorators = {
        "loaderDiv": [{ type: ViewChild, args: ["loaderDiv",] },],
        "active": [{ type: Input },],
        "loaderText": [{ type: Input },],
        "loaderSize": [{ type: Input },],
    };
    return LoaderComponent;
}());
export { LoaderComponent };
//# sourceMappingURL=loader.component.js.map